use paho_mqtt::AsyncClient;
use paho_mqtt::ConnectOptionsBuilder;
use paho_mqtt::CreateOptions;
use paho_mqtt::Error;

#[tokio::main]
async fn main() -> Result<(), Error> {
    let client = AsyncClient::new(CreateOptions::default())?;

    println!("First one connecting");
    client
        .connect(
            ConnectOptionsBuilder::new_ws()
                .server_uris(&["test.mosquitto.org:1883"])
                .finalize(),
        )
        .await?;
    println!("Fist one connected");

    println!("Second one connecting");
    client
        .connect(
            ConnectOptionsBuilder::new_v3()
                .server_uris(&["test.mosquitto.org1883"])
                .finalize(),
        )
        .await?;
    println!("Second one connected");

    Ok(())
}
